@echo off
cls
if %1.==. goto usage
if %2.==. goto usage
if %1==a goto flop
if %1==A goto flop
if %1==b goto flop
if %1==B goto flop
if %1==c goto hdc
if %1==C goto hdc
if %1==d goto hdd
if %1==D goto hdd
if %1==e goto hde
if %1==E goto hde
if %1==f goto hdf
if %1==F goto hdf
echo.
echo Invalid Source Drive:  %1:
goto usage
:flop
if %2==c goto start
if %2==C goto start
if %2==d goto start
if %2==D goto start
if %2==e goto start
if %2==E goto start
if %2==f goto start
if %2==F goto start
echo.
echo Invalid Destination Hard Drive:  %2:
goto usage
:hdc
if %2==%1 goto start
echo.
echo Can't Install from %1: to %2: !     (Don't mix Case of drive letters)
goto usage
:hdd
if %2==%1 goto start
echo.
echo Can't Install from %1: to %2: !    (Don't mix Case of drive letters)
goto usage
:hde
if %2==%1 goto start
echo.
echo Can't Install from %1: to %2: !    (Don't mix Case of drive letters)
goto usage
:hdf
if %2==%1 goto start
echo.
echo Can't Install from %1: to %2: !    (Don't mix Case of drive letters)
goto usage

:start
if exist %1:\jnos_pkg.exe goto start2
echo.
echo Cannot Find File on Source Drive:  %1: ?
echo Please check your setup
echo.
echo If installing FROM the Hard Drive, both the INSTALL & EXE must
echo be in the ROOT (%1:\) to run correctly.
echo.
goto usage

:start2
if exist \jnos_pkg.exe goto begin
echo.
echo Please change to the %1 Drive first! 
echo Do NOT say:  
echo.
echo %1:install %1 %2
echo.
echo Instead use:
echo.
echo %1:
echo install %1 %2 
echo.
echo.
echo.
echo Install will now exit -
pause
goto end

:usage
echo.
echo.
echo Usage: INSTALL (source) (dest_harddrive)
echo.
echo Example: install a c
echo.
echo Do NOT include colon after letter!
echo.
echo Valid drives: A-F
echo.
echo NOTE: You can NOT install from one Hard Drive to Another
echo       (i.e. you can't install from C: to D:)
echo       And you can NOT install onto a FLOPPY! (not enough space!)
echo.
pause
goto end

:begin
cls
echo.
echo This file will now Install JNOS Version 1.10x3/NNNax on your %2 Drive
echo under the %2:\HAM\NOS directory. This is the default setup directory.
echo.
echo If this is NOT the CORRECT Drive, Abort and re-run the INSTALL program
echo using the format: INSTALL (source) (dest)
echo.
echo If OK to continue, press any key. Otherwise press CTRL-C to Abort.
echo.
pause
%2:
cd \
if exist \ham\nos\autoexec.nos goto backup
if exist \ham\nos\ftpusers goto backup
if exist \ham\nos\alias goto backup
if exist \ham\nos\net.rc goto backup
goto extract
:backup
cls
echo.
echo The INSTALL program has found files that indicate a previous installation
echo of a Plug & Play Package. The following files will be renamed to .ORG so
echo that you will have the original copies of these files.
echo.
echo  AUTOEXEC.NOS   to   AUTOEXEC.ORG
echo  FTPUSERS       to   FTPUSERS.ORG
echo  ALIAS          to   ALIAS.ORG
echo  NET.RC         to   NET.ORG
echo  *.SIG          to   *.ORG
echo  SEQUENCE.SEQ   located in SPOOL\MQUEUE   to   SPOOL\SEQUENCE.ORG
echo  HISTORY        located in SPOOL\NEWS     to   SPOOL\HISTORY.ORG
echo  NNTP.DAT       located in SPOOL\NEWS     to   SPOOL\NNTP.ORG
echo.
rem AUTOEXEC.NOS
if exist \ham\nos\autoexec.org erase \ham\nos\autoexec.org >NUL
ren \ham\nos\autoexec.nos \ham\nos\autoexec.org >NUL
rem FTPUSERS
if exist \ham\nos\ftpusers.org erase \ham\nos\ftpusers.org >NUL
ren \ham\nos\ftpusers \ham\nos\ftpusers.org >NUL
rem ALIAS
if exist \ham\nos\alias.org erase \ham\nos\alias.org >NUL
ren \ham\nos\alias \ham\nos\alias.org >NUL
rem NET.RC
if exist \ham\nos\net.org erase \ham\nos\net.org >NUL
ren \ham\nos\net.rc \ham\nos\net.org >NUL
rem *.SIG - Can't check existance of .org signature - no way to match *.org
ren \ham\nos\*.sig \ham\nos\*.org >NUL
rem SIGNATUR\*.SIG - Can't check for existance of .org signature in 
rem                  \SPOOL\SIGNATUR -- so erase all .org's there
erase \ham\nos\spool\signatur\*.org >NUL
ren \ham\nos\spool\signatur\*.sig \ham\nos\spool\signatur\*.org >NUL
rem SEQUENCE.SEQ
if exist \ham\nos\spool\sequence.org erase \ham\nos\spool\sequence.org >NUL
copy \ham\nos\spool\sequence.seq \ham\nos\spool\sequence.org >NUL
rem HISTORY
if exist \ham\nos\spool\history.org erase \ham\nos\spool\history.org >NUL
copy \ham\nos\spool\news\history \ham\nos\spool\history.org >NUL
rem NNTP.DAT
if exist \ham\nos\spool\nntp.org erase \ham\nos\spool\nntp.org >NUL
copy \ham\nos\spool\news\nntp.dat \ham\nos\spool\nntp.org >NUL
echo.
echo If OK to continue, press any key. Otherwise press CTRL-C to Abort.
echo.
pause
:extract
cls
echo Extracting JNOS to your %2 Drive.  Please Stand by...
%1:jnos_pkg -d -o
if errorlevel 255 goto user
if errorlevel 50 goto full
if errorlevel 8 goto mem
if errorlevel 7 goto mem
if errorlevel 6 goto mem
if errorlevel 5 goto mem
if errorlevel 4 goto mem
if errorlevel 3 goto error
if errorlevel 2 goto error
if errorlevel 1 goto crc
if errorlevel 0 goto continue
echo.
echo An UNKNOWN Error has occured during the extraction process !
echo Your installation is *NOT* Setup correctly, and WON'T FUNCTION properly ! 
echo.
echo Please correct the problem and Re-Install this Package!
echo.
pause
%1:
goto end
:crc
echo.
echo A CRC Error has occured in one or more of the files extracted !
echo Your installation is *NOT* Setup correctly, and WON'T FUNCTION properly ! 
echo.
echo You could try re-installing, but if this error persists,
echo Please get another copy of this package and try again.
echo.
pause
%1:
goto end 
:mem
echo.
echo Insufficient or Corrupt Memory while extracting files !
echo Your installation is *NOT* Setup correctly, and WON'T FUNCTION properly ! 
echo.
echo Please correct the problem and Re-Install this Package!
echo.
pause
%1:
goto end
:full
echo Insufficient Hard Drive Space!  DRIVE %2 Full!
echo Your installation is *NOT* Setup correctly, and WON'T FUNCTION properly ! 
echo.
echo Package requires 3.5 Meg Free if installing from Hard Drive and
echo at least 2.5 Meg Free if installing from a Floppy Drive
echo.
echo Please correct the problem and Re-Install this Package!
echo.
pause
%1:
goto end
:user
echo This Installation Process has Been INTERUPTED !
echo Your installation is *NOT* Setup correctly, and WON'T FUNCTION properly ! 
echo.
echo Please correct the problem and Re-Install this Package!
echo.
pause
%1:
goto end

:continue
if %1==%2 del %1:\jnos_pkg.exe >NUL
if exist %1:\*.pif copy %1:\*.pif %2:\ham\nos\setup >NUL
rem Old Versions
if exist %1:\*.tbl copy %1:\*.tbl %2:\ham\nos\setup >NUL
if exist %1:\autoexec.nos copy %1:\autoexec.nos %2:\ham\nos >NUL
if exist %1:\domain.txt copy %1:\domain.txt %2:\ham\nos >NUL
rem New Versions
rem REGION1
if exist %1:\region1\*.tbl copy %1:\region1\*.tbl %2:\ham\nos\setup\region1 >NUL
if exist %1:\region1\autoexec.nos copy %1:\region1\autoexec.nos %2:\ham\nos\setup\region1 >NUL
if exist %1:\region1\domain.txt copy  %1:\region1\domain.txt %2:\ham\nos\setup\region1 >NUL
rem REGION2
if exist %1:\region2\*.tbl copy %1:\region2\*.tbl %2:\ham\nos\setup\region2 >NUL
if exist %1:\region2\autoexec.nos copy %1:\region2\autoexec.nos %2:\ham\nos\setup\region2 >NUL
if exist %1:\region2\domain.txt copy  %1:\region2\domain.txt %2:\ham\nos\setup\region2 >NUL
rem REGION3
if exist %1:\region3\*.tbl copy %1:\region3\*.tbl %2:\ham\nos\setup\region3 >NUL
if exist %1:\region3\autoexec.nos copy %1:\region3\autoexec.nos %2:\ham\nos\setup\region3 >NUL
if exist %1:\region3\domain.txt copy  %1:\region3\domain.txt %2:\ham\nos\setup\region3 >NUL
rem REGION4
if exist %1:\region4\*.tbl copy %1:\region4\*.tbl %2:\ham\nos\setup\region4 >NUL
if exist %1:\region4\autoexec.nos copy %1:\region4\autoexec.nos %2:\ham\nos\setup\region4 >NUL
if exist %1:\region4\domain.txt copy  %1:\region4\domain.txt %2:\ham\nos\setup\region4 >NUL
rem REGION5
if exist %1:\region5\*.tbl copy %1:\region5\*.tbl %2:\ham\nos\setup\region5 >NUL
if exist %1:\region5\autoexec.nos copy %1:\region5\autoexec.nos %2:\ham\nos\setup\region5 >NUL
if exist %1:\region5\domain.txt copy  %1:\region5\domain.txt %2:\ham\nos\setup\region5 >NUL
rem Other files
copy %2:\ham\nos\setup\dflt_%2.tbl %2:\ham\nos\setup\dflt.tbl >NUL
copy %2:\ham\nos\setup\jnos_%2.pif %2:\ham\jnos.pif >NUL
cd ham
cls
echo.
echo Your JNOS is now installed.      
echo.
echo Following are the Customization Instructions needed to configure
echo this copy of JNOS to your personal setting. Please read it carefully.
echo.
echo This file (INTRO.TXT) is located in your %2:\HAM subdirectory
echo Change to that directory and type LIST INTRO.TXT to read this 
echo file from DOS.
echo.
pause
list intro.txt
cls
echo.
echo End of INTRO.TXT  File
echo.
echo The Automatic SETUP Program will now run - 
echo.
echo Note: Package Developers should STOP at this point and read the
echo       Docs located in the \HAM\NOS\SETUP\DOCS.CFG\ Directory for
echo       information on configuration of the program for your own area(s).
echo.
echo Type CONTROL-C to abort to DOS or
pause
call setup
if %1==%2 del %1:\install.bat >NUL
:end
